Debian logoDebian Screenshots >

libmodern-perl-perl

module for enabling all of the features of Modern Perl

Description

Modern Perl programs use several modules to enable additional features of Perl and of the CPAN. Instead of copying and pasting all of these 'use' lines, instead write only one:

   use Modern::Perl;

This enables the strict and warnings pragmas, as well as all of the features available since Perl 5.10.

For enabling features of newer Perl releases, a year can be specified as an import tag, e.g.:

   use Modern::Perl '2014';

enables 5.18 features. Cf. Modern::Perl(3pm) for details.

See http://www.modernperlbooks.com/mt/2009/01/toward-a-modernperl.html for more information, http://www.modernperlbooks.com/ for further discussion of Modern Perl and its implications, and http://onyxneon.com/books/modern_perl/index.html for a freely-downloadable Modern Perl tutorial.

Upload more screenshots

Please help extend the collection of screenshots. Just make a screenshot and upload it here. You don't need to register or anything.


Homepage

https://metacpan.org/release/Modern-Perl


Statistics

1092 other people were interested in this package here. The newest known version of this software is 1.20190727-1 (Information last updated about 14 hours ago.)